import "./index.less";
import FlashOff24Regular from "@ricons/fluent/FlashOff24Regular";
import { Icon } from "@ricons/utils";
import { useNavigate } from "react-router-dom";
import { useEffect, useState } from "react";

interface IProps {
  code: 403 | 404 | 405;
}

export default function Result(props: IProps) {
  const navigate = useNavigate();
  const [view, setView] = useState<JSX.Element>(<span></span>);
  const table = {
    403: (
      <div className="container result">
        <Icon size={48} color="var(--color-text-3)">
          <FlashOff24Regular />
        </Icon>
        <div className="mt12">访问被禁止</div>
        <button
          className="bs btn br3 mt24"
          onClick={() => navigate("/subscribe")}
        >
          订阅课程
        </button>
      </div>
    ),
    404: (
      <div className="container result">
        <Icon size={48} color="var(--color-text-3)">
          <FlashOff24Regular />
        </Icon>
        <div className="mt12">Ooops! 资源被怪兽吃了~</div>
        <button className="bs btn br3 mt24" onClick={() => navigate(-1)}>
          返回
        </button>
      </div>
    ),
    405: (
      <div className="container result">
        <Icon size={48} color="var(--color-text-3)">
          <FlashOff24Regular />
        </Icon>
        <div className="mt12">请先登录</div>
        <button className="bs btn br3 mt24" onClick={() => navigate("/login")}>
          登录
        </button>
        <p style={{ fontSize: 13, marginTop: 96 }}>
          seekdeer.com 老用户，请联系 👇 给您续上会员 🙏
        </p>
        <img src="https://1500018521.vod2.myqcloud.com/cba178a0vodsh1500018521/35f91076243791580783633066/FSDCg83tazAA.png" style={{ width: 96, height: 96 }} />
      </div>
    ),
  };

  useEffect(() => {
    if (props.code) setView(table[props.code]);
  }, [props.code]);

  return <>{view}</>;
}
